﻿using System.Windows.Input;

namespace Dsl.Ped.Common.Commands
{
    /// <summary>
    /// Interface of command which can be bound to menu items colletion
    /// </summary>
    public interface IMenuCommand : ICommand
    {
        /// <summary>
        /// Name of the command
        /// </summary>
        string Name { get; set; }

        /// <summary>
        /// Description of the command
        /// </summary>
        string Description { get; set; }
    }
}
