﻿using System.Windows;
using System.Windows.Controls;

namespace Dsl.Ped.Controls.ProjectiveControl
{
    /// <summary>
    /// This is the <see cref="Control"/> implementing a projections. Its content
    /// can be considered as a projection and used in the context of 
    /// <see cref="ProjectionContainerControl"/>
    /// </summary>
    public class ProjectionControl : ContentControl
    {
        /// <summary>
        /// Static constructor
        /// </summary>
        static ProjectionControl()
        {
            DefaultStyleKeyProperty.OverrideMetadata(typeof(ProjectionControl),
                                                     new FrameworkPropertyMetadata(typeof (ProjectionControl)));
        }
    }
}
