﻿namespace Dsl.Ped.Controls.ProjectiveControl
{
    /// <summary>
    /// A class defining the info about a certain tranistion
    /// </summary>
    public class TransitionInfo
    {
        /// <summary>
        /// Owner of the event
        /// </summary>
        public string EventOwner { get; set; }

        /// <summary>
        /// Name of the event
        /// </summary>
        public string EventName { get; set; }

        /// <summary>
        /// Source projection name
        /// </summary>
        public string FromProjection { get; set; }

        /// <summary>
        /// Target projeciton name
        /// </summary>
        public string ToProjection { get; set; }
    }
}
