﻿//***************************************************************************
//   Copyright 2013 Ondrej Dvorak
//   Changed the file with respect to the needs of DSLPed project
//
//   Licensed under the Apache License, Version 2.0 (the "License");
//   you may not use this file except in compliance with the License.
//   You may obtain a copy of the License at
//
//       http://www.apache.org/licenses/LICENSE-2.0
//
//   Unless required by applicable law or agreed to in writing, software
//   distributed under the License is distributed on an "AS IS" BASIS,
//   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
//   See the License for the specific language governing permissions and
//   limitations under the License.
//****************************************************************************
using System;

namespace Dsl.Ped.Designer
{
    /// <summary>
    /// Required unique guids for package registration
    /// </summary>
    static class Guids
    {
        public const string guidDslPedDesignerPkgString = "2FF05377-74E7-4EA9-B94C-9D68859A37AE";
        public const string guidDslPedDesignerCmdSetString = "EF2EE1DC-291B-484A-8D5B-3B5F04F3DADE";

        /// <summary>
        /// <see cref="Guid"/> of DSLPed Designer Editor
        /// </summary>
        public const string guidDslPedDesignerEditorFactoryString = "C3D4D657-82F8-4253-BEE5-DA6568BAD6E6";

        public static readonly Guid guidDslPedDesignerCmdSet = new Guid(guidDslPedDesignerCmdSetString);
        public static readonly Guid guidDslPedDesignerEditorFactory = new Guid(guidDslPedDesignerEditorFactoryString);

        public const string guidXmlChooserEditorFactory = @"{32CC8DFA-2D70-49b2-94CD-22D57349B778}";
    };
}