﻿using System;
using System.Windows;

namespace Dsl.Ped.Desktop
{
    /// <summary>
    /// Interaction logic for App.xaml
    /// </summary>
    public partial class App : Application
    {
        public App()
        {
            try {
                var bootstrapper = new Bootstrapper();
                bootstrapper.Run();
            } 
            catch (Exception exc)
            {
                MessageBox.Show(exc.Message, "Fatal Error", MessageBoxButton.OK, MessageBoxImage.Error);
            }
        }

        protected override void OnStartup(StartupEventArgs e)
        {
            base.OnStartup(e);
        }
    }
}
