﻿using System.Collections.Generic;
using Dsl.Ped.Framework.Messages;

namespace Dsl.Ped.Desktop.Modules.ErrorViewer
{
    /// <summary>
    /// Message notifying about <see cref="NotifyMessage"/> that are 
    /// stored in the List
    /// </summary>
    public class NotifyListMessage
    {
        public NotifyListMessage(List<NotifyMessage> messages)
        {
            Messages = messages;
        }

        /// <summary>
        /// <see cref="NotifyMessage"/> instance kept in the collection
        /// </summary>
        public List<NotifyMessage> Messages { get; set; }
    }
}
