﻿using System.Windows.Controls;

namespace Dsl.Ped.Editor.Modules.ToolBarArea
{
    /// <summary>
    /// Interaction logic for EditorView.xaml
    /// </summary>
    public partial class ToolBarAreaView : UserControl
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="ToolBarAreaView"/> class.
        /// </summary>
        /// <param name="editorResources">The editor resources</param>
        public ToolBarAreaView(EditorResources editorResources)
        {
            InitializeComponent();
            // Set the view model of the view
            DataContext = new ToolBarAreaViewModel(editorResources);
        }
    }
}
