﻿using Dsl.Ped.Common;

namespace Dsl.Ped.Editor.Modules.ToolBarArea
{
    /// <summary>
    /// View model of the tool area
    /// </summary>
    public class ToolBarAreaViewModel : ViewModelBase
    {
        #region Constructor

        /// <summary>
        /// Initializes a new instance of the <see cref="ToolBarAreaViewModel"/> class.
        /// </summary>
        /// <param name="editorResources">The editor resources</param>
        public ToolBarAreaViewModel(EditorResources editorResources)
        {
            this.EditorResources = editorResources;
        }

        #endregion

        #region Members

        /// <summary>
        /// Gets or sets the editor's resources
        /// </summary>
        public EditorResources EditorResources { get; set; }

        #endregion
    }
}
