﻿using System;
using Dsl.Ped.Controls.ProjectiveControl;
using Dsl.Ped.Framework.AddIns;

namespace DSLPedEditorTest.FakeObjects
{
    /// <summary>
    /// Just a testing class implementing required interface
    /// </summary>
    public class AddInMetadataFake : IDslPedAddInMetadata
    {
        public string Name { get; set; }

        public string Extension { get; set; }

        public Type ProjectiveType { get; set; }

        public string Namespace { get; set; }

        public Type ResourceDictionary { get; set; }

        public ViewMode[] ViewModes { get; set; }

        public string ImageUri { get; set; }

        public string Description { get; set; }
    }
}
