﻿using System.Windows;

namespace Dsl.Ped.Framework.Common
{
    /// <summary>
    /// Interface implemented by any projection
    /// </summary>
    public interface IProjection
    {
        /// <summary>
        /// Name of the projection
        /// </summary>
        string Name { get; set; }

        /// <summary>
        /// View of the projection
        /// </summary>
        FrameworkElement View { get; }
    }
}
