﻿namespace Dsl.Ped.Framework.Common
{
    /// <summary>
    /// General implementation of <see cref="IProjection"/> interface
    /// </summary>
    public class Projection : IProjection
    {
        /// <summary>
        /// Name of the projection
        /// </summary>
        public string Name { get; set; }

        /// <summary>
        /// View of the projection
        /// </summary>
        public System.Windows.FrameworkElement View { get; set; }
    }
}
