﻿namespace Dsl.Ped.Framework.Enums 
{
    /// <summary>
    /// Enum representing all available modes of the projective object user controls.
    /// </summary>
    public enum ProjectionsMode {
        /// <summary>
        /// User is activating controls
        /// </summary>
        Selection,

        /// <summary>
        /// User edits stuff under the current projections setting
        /// </summary>
        Edit
    }
}
