﻿using Dsl.Ped.Framework.Helpers;

namespace Dsl.Ped.Framework.Extensions {
    /// <summary>
    /// Extension methods for the Enums
    /// </summary>
    public static class EnumExtension 
    {
        /// <summary>
        /// Localize the given enum against the dictionary
        /// </summary>
        /// <typeparam name="T">Type of the enum</typeparam>
        /// <param name="enum">Enum instance</param>
        /// <returns>String representing localized enum</returns>
        public static string Localize<T>(T @enum)
        {
            return EnumHelper.Localize(@enum);
        }
    }
}
