﻿using System.Windows;

namespace DSLPedItemWizard.Views
{
    /// <summary>
    /// Each Wizard page must implement this interface
    /// </summary>
    public interface IWizardPage
    {
        /// <summary>
        /// Can wizard finish, refers to the visibility of Finish button
        /// </summary>
        bool CanFinish { get; }

        /// <summary>
        /// View of the wizard
        /// </summary>
        FrameworkElement View { get; }
    }
}
