﻿using System.Windows;

using DSLPedItemWizard.ViewModels;

using GalaSoft.MvvmLight.Messaging;

namespace DSLPedItemWizard.Views
{
    /// <summary>
    /// Interaction logic for IntroWizardView.xaml
    /// </summary>
    public partial class IntroWizardView : IWizardPage
    {
        public IntroWizardView(Messenger messenger)
        {
            InitializeComponent();
            this.DataContext = new IntroWizardViewModel();
        }

        public bool CanFinish
        {
            get
            {
                return true;
            }
        }

        public FrameworkElement View
        {
            get
            {
                return this;
            }
        }
    }
}
