﻿using System.Windows.Input;

namespace WpfControlsTest {
    public static class ProjectionsModeHelper {

        /// <summary>
        /// Get the current projections mode (either selection, when the user can switch between projection containers, or
        /// Edit when the user can go thru projections containers' workflow)
        /// </summary>
        /// <returns></returns>
        public static ProjectionsMode GetCurrentMode() {

            return (Keyboard.IsKeyDown(Key.LeftCtrl)) ? ProjectionsMode.Selection : ProjectionsMode.Edit;
        }
    }    
}
