﻿using Dsl.Ped.AddIn.Java.Resources;

namespace Dsl.Ped.AddIn.Beeps.Helpers
{
    /// <summary>
    /// Helper methods of the <see cref="Beeps"/>
    /// </summary>
    public static class BeepsHelper
    {
        /// <summary>
        /// Converts the <see cref="Beeps"/> object to the plain text
        /// </summary>
        /// <param name="beeps"><see cref="Beeps"/> object to be converted</param>
        /// <returns><see cref="Beeps"/> object converted to the plain text</returns>
        public static string ToPlainText(this Beeps.Generated.Beeps beeps)
        {
            var beepsStr = string.Format("{0}Beeps{0}", BeepsResources.KeyWordsDelimiter) + "{\r\n";

            beepsStr = beepsStr + beeps.Beep.ToPlainText(1) + "}";

            return beepsStr;
        }
    }
}
