﻿using System.Collections.Generic;
using Dsl.Ped.AddIn.Java.Generated;

namespace Dsl.Ped.AddIn.Java.Helpers
{
    /// <summary>
    /// Helper methods of a collection of <see cref="Parameter"/> objects
    /// </summary>
    public static class ParametersHelper
    {
        public static string ToPlainText(this IEnumerable<Parameter> parameters, int tabs)
        {
            var parametersStr = new List<string>();
            foreach (var parameter in parameters)
            {
                parametersStr.Add(parameter.ToPlainText());
            }

            return string.Join(", ", parametersStr);
        }
    }
}
