﻿namespace Dsl.Ped.Controls
{
    /// <summary>
    /// Refreshable interface that can be implemented by a control to refresh its bindings, etc
    /// </summary>
    public interface IRefreshableControl
    {
        /// <summary>
        /// Refresh the control appropriately
        /// </summary>
        void Refresh();
    }
}
