﻿using System.Windows.Controls;

namespace Dsl.Ped.Controls.ProjectiveControl
{
    /// <summary>
    /// Mode of an <see cref="ProjectiveControl"/>. <see cref="Common"/> refers to a usual view of the 
    /// <see cref="ProjectiveControl"/>, <see cref="Extended"/> refers to the extended view of a <see cref="ProjectiveControl"/>
    /// when all defined <see cref="ProjectionContainerControl"/> titles are displayed in a <see cref="ListBox"/>
    /// </summary>
    public enum ViewMode
    {
        Common,
        Extended
    }
}
