﻿using System;

namespace Dsl.Ped.Designer.ViewModels
{
    /// <summary>
    /// Interface that must be implemented by the view model of DSLPed designer
    /// </summary>
    public interface IDslPedDesignerControlViewModel
    {
        event EventHandler ViewModelChanged;

        /// <summary>
        /// If something has changed in the designer, it is set dirty
        /// </summary>
        bool DesignerDirty { get; set; }

        /// <summary>
        /// Method called when the VS is in IDLE mode
        /// </summary>
        void DoIdle();
    }
}
