﻿namespace Dsl.Ped.Editor.Modules.ProjectiveArea
{
    /// <summary>
    /// Interface that must be implemented by the projective area, main 
    /// area of the editor
    /// </summary>
    interface IProjectiveAreaView
    {
        /// <summary>
        /// Gets or sets the indication if the projective object loaded into the 
        /// area has changed
        /// </summary>
        bool IsDirty { get; set; }
    }
}
