﻿using System.Collections.Generic;
using Dsl.Ped.Framework.Common;
using Dsl.Ped.Framework.Projections;
using Dsl.Ped.Framework.Projectives;
using System.Windows.Controls;

namespace DSLPedUtilsTest.TestingObjects
{
    public partial class peoples : ProjectiveBase, IProjective
    {
        #region Methods
                
        public override List<IProjectionContainer> GetProjectionContainers()
        {
            List<IProjectionContainer> projections = new List<IProjectionContainer>();
            projections.Add(new Dsl.Ped.Framework.Common.ProjectionContainer("Peoples", ObjectProjectionFactory.GetHeaderedProjection("Peoples", new ObjectProjective(() =>
            {
                List<IProjectionContainer> projs = new List<IProjectionContainer>();
                projs.Add(new Dsl.Ped.Framework.Common.ProjectionContainer("Vertical People", CollectionProjectionFactory.GetVerticalProjection<peoplesPeople>(this.people)));
                    
                return projs;
            }), p => p.Orientation = Orientation.Vertical)));

            return projections;
        }

        #endregion
    }
}
