﻿using Dsl.Ped.Framework.Helpers;

namespace Dsl.Ped.Framework.Extensions
{
    /// <summary>
    /// Extension methods for the <see cref="string"/> instances
    /// </summary>
    public static class StringExtension
    {
        /// <summary>
        /// Localize the given string against the dictionary
        /// </summary>
        /// <param name="str">String to be localized</param>
        /// <returns>String localized against the dictionary</returns>
        public static string Localize(this string str)
        {
            return StringHelper.Localize(str);
        }
    }
}
