﻿using System.Windows.Controls;
using Dsl.Ped.Framework.Common;

namespace Dsl.Ped.Framework.Projections.CollectionProjections
{
    /// <summary>
    /// Interface that must be implemented by any collection-based projeciton hints
    /// </summary>
    /// <typeparam name="T">Type representing the projection (ListBox, ComboBox, etc.)</typeparam>
    public interface ICollectionProjectionHint<T> : IProjectionHint<T>
        where T : ItemsControl, new()
    {
    }
}
