﻿using System.Windows;
using Dsl.Ped.Framework.Common;

namespace Dsl.Ped.Framework.Projections.LayoutProjections
{
    /// <summary>
    /// Interface that must be implemented by any layout-based projeciton hints
    /// </summary>
    /// <typeparam name="T">Type representing the projection (Grid, StackPanel etc.)</typeparam>
    public interface ILayoutProjectionHint<T> : IProjectionHint<T>
        where T : FrameworkElement, new()
    {
    }
}
