﻿using System.Windows;
using Dsl.Ped.Framework.Common;
using System.Collections.Generic;

namespace Dsl.Ped.Framework.WPFControls.ProjectiveObject
{
    /// <summary>
    /// Event args of the RoutedProjectiveObjectEvent
    /// </summary>
    public class RoutedProjectiveObjectEventArgs : RoutedEventArgs
    {
        /// <summary>
        /// Currently selected projection container
        /// </summary>
        public IProjectionContainer SelectedProjectionContainer { get; set; }

        /// <summary>
        /// All available projection containers
        /// </summary>
        public List<IProjectionContainer> ProjectionContainers { get; set; }
    }
}
