﻿using Dsl.Ped.Editor.Interfaces;
using System.ComponentModel.Composition;
using $safeprojectname$.Style;
using $safeprojectname$.Generated;

namespace $safeprojectname$.AddIn
{
    [Export(typeof(IDslPedAddIn))]
    [ExportMetadata("Extension", ".dsl")] // The extension of a file, in this version of DSLPed must be set to .dsl, another extensions are not supported
    [ExportMetadata("Name", "$languageName$")] // Unique name of the language
    [ExportMetadata("ProjectiveType", typeof($languageName$))] // The projective type
    [ExportMetadata("Namespace", "$languageXmlNamespace$")] // Default namespace of the file
    [ExportMetadata("ResourceDictionary", typeof($languageName$ResourceDictionary))]
    [ExportMetadata("ImageUri", "$languageName$_32.png")]
    [ExportMetadata("Description", "$languageDescription$")] // Description of an AddIn
    public class $languageName$AddIn : IDslPedAddIn
    {
    }
}